<!-- This is a generated file. Please do not edit directly -->

# Maintainers

This file lists how the Chef project is maintained. When making changes to the system, this
file tells you who needs to review your patch - you need a simple majority of maintainers
for the relevant subsystems to provide a :+1: on your pull request. Additionally, you need
to not receive a veto from a Lieutenant or the Project Lead.

Check out [How Chef is Maintained](https://github.com/chef/chef-rfc/blob/master/rfc030-maintenance-policy.md#how-the-project-is-maintained) for details on the process, how to become
a maintainer, lieutenant, or the project lead.

# Project Lead

* [Adam Jacob](https://github.com/adamhjk)

## Components

## Chef Core

Maintainers for the Chef client, Ohai, mixlibs, ChefDK, ChefSpec, Foodcritic, chefstyle, and sundry others.

To mention the team, use @chef/client-core

### Lieutenant

* [Thom May](https://github.com/thommay)

### Maintainers

* [Adam Leff](https://github.com/adamleff)
* [Bryan McLellan](https://github.com/btm)
* [Noah Kantrowitz](https://github.com/coderanger)
* [Daniel DeLeo](https://github.com/danielsdeleo)
* [AJ Christensen](https://github.com/fujin)
* [Phil Dibowitz](https://github.com/jaymzh)
* [Jay Mundrawala](https://github.com/jaym)
* [John Keiser](https://github.com/jkeiser)
* [Jon Cowie](https://github.com/jonlives)
* [Joshua Timberman](https://github.com/jtimberman)
* [Lamont Granquist](https://github.com/lamont-granquist)
* [Claire McQuin](https://github.com/mcquin)
* [Matt Wrock](https://github.com/mwrock)
* [Ranjib Dey](https://github.com/ranjib)
* [Steven Murawski](https://github.com/smurawski)
* [Steven Danna](https://github.com/stevendanna)
* [Tim Smith](https://github.com/tas50)
* [Tom Duffield](https://github.com/tduffield)
* [Tyler Ball](https://github.com/tyler-ball)
* [Josh Hudson](https://github.com/itmustbejj)

## Chef Provisioning

Chef Provisioning and Drivers.  Supported Drivers are listed in the [README](https://github.com/chef/chef-provisioning/blob/master/README.md#chef-provisioning).

To mention the team, use @chef/provisioning

### Lieutenant

* [Tyler Ball](https://github.com/tyler-ball)

### Maintainers

* [John Keiser](https://github.com/jkeiser)
* [JJ Asghar](https://github.com/jjasghar)
* [Stuart Preston](https://github.com/stuartpreston)
* [Harley Alaniz](https://github.com/thehar)

## Platform Specific Components

The specific components of Chef related to a given platform - including (but not limited to) resources, providers, and the core DSL.

## Enterprise Linux

To mention the team, use @chef/client-enterprise-linux

### Lieutenant

* [Jon Cowie](https://github.com/jonlives)

### Maintainers

* [Phil Dibowitz](https://github.com/jaymzh)
* [Lamont Granquist](https://github.com/lamont-granquist)

## Ubuntu

To mention the team, use @chef/client-ubuntu

### Lieutenant

* [Ranjib Dey](https://github.com/ranjib)

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)
* [Tim Smith](https://github.com/tas50)
* [Thom May](https://github.com/thommay)

## Windows

To mention the team, use @chef/client-windows

### Lieutenant

* [Bryan McLellan](https://github.com/btm)

### Maintainers

* [Jay Mundrawala](https://github.com/jaym)
* [Kartik Cating-Subramanian](https://github.com/ksubrama)
* [Steven Murawski](https://github.com/smurawski)
* [Salim Alam](https://github.com/chefsalim)
* [Matt Wrock](https://github.com/mwrock)

## Solaris

To mention the team, use @chef/client-solaris

### Lieutenant

* [Thom May](https://github.com/thommay)

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)

## AIX

To mention the team, use @chef/client-aix

### Lieutenant

* [Lamont Granquist](https://github.com/lamont-granquist)

## Mac OS X

To mention the team, use @chef/client-os-x

### Lieutenant

* [Joshua Timberman](https://github.com/jtimberman)

### Maintainers

* [Tyler Ball](https://github.com/tyler-ball)
* [mikedodge04](https://github.com/mikedodge04)

## Debian

To mention the team, use @chef/client-debian

### Lieutenant

* [Thom May](https://github.com/thommay)

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)
* [Tim Smith](https://github.com/tas50)

## Fedora

To mention the team, use @chef/client-fedora

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)

## openSUSE

To mention the team, use @chef/client-opensuse

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)
* [Tim Smith](https://github.com/tas50)

## SUSE Enterprise Linux Server

To mention the team, use @chef/client-suse

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)

## FreeBSD

To mention the team, use @chef/client-freebsd

### Lieutenant

* [Aaron Kalin](https://github.com/martinisoft)

### Maintainers

* [Cory Stephenson](https://github.com/Aevin1387)
* [David Aronsohn](https://github.com/OnlyHaveCans)
* [Bryant Lippert](https://github.com/AgentMeerkat)

## OpenBSD

To mention the team, use @chef/client-openbsd

### Lieutenant

* [Joe Miller](https://github.com/joemiller)

## Gentoo

To mention the team, use @chef/client-gentoo

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)

## OmniOS

To mention the team, use @chef/client-omnios

### Maintainers

* [Thom May](https://github.com/thommay)

## ArchLinux

To mention the team, use @chef/client-archlinux

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)
* [Ryan Cragun](https://github.com/ryancragun)

